curl -X POST https://api.chargeapi.co/v1/reports \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"parameters": {
"period_end": "2026-05-02T00:17:49.442Z",
"period_start": "2026-04-01T00:18:06.932Z",
"type": "charging_summary"
}
}'
{
"id": "rpt_kryMLRtfr8HJYs7xUm2lA2MS3pe8RzR9",
"object": "report",
"account": "acct_7XRI8yvnFHeUxJTZyrEHZpvbeoXHAPcn",
"created": "2026-05-02T00:18:03.609Z",
"fleet": "flt_QP37STtAqG1IDAy6Dd6Qwpy2L2jq8rUC",
"parameters": {
"filters": {
"vehicle": ["veh_hMbjoAIhToYAb14hkjgjEHDwJ4eT0Q3c"]
},
"group_by": "vehicle",
"period_end": "2026-05-02T00:17:49.442Z",
"period_start": "2026-04-01T00:18:06.932Z",
"type": "charging_summary"
},
"size": 0,
"status": "pending",
"succeeded_at": null,
"type": "csv",
"url": null
}
Reports
Create a Report
curl -X POST https://api.chargeapi.co/v1/reports \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"parameters": {
"period_end": "2026-05-02T00:17:49.442Z",
"period_start": "2026-04-01T00:18:06.932Z",
"type": "charging_summary"
}
}'
{
"id": "rpt_kryMLRtfr8HJYs7xUm2lA2MS3pe8RzR9",
"object": "report",
"account": "acct_7XRI8yvnFHeUxJTZyrEHZpvbeoXHAPcn",
"created": "2026-05-02T00:18:03.609Z",
"fleet": "flt_QP37STtAqG1IDAy6Dd6Qwpy2L2jq8rUC",
"parameters": {
"filters": {
"vehicle": ["veh_hMbjoAIhToYAb14hkjgjEHDwJ4eT0Q3c"]
},
"group_by": "vehicle",
"period_end": "2026-05-02T00:17:49.442Z",
"period_start": "2026-04-01T00:18:06.932Z",
"type": "charging_summary"
},
"size": 0,
"status": "pending",
"succeeded_at": null,
"type": "csv",
"url": null
}
Creates a report. Report generation is asynchronous. The initial response returns a report object with
status set to pending. Retrieve the report later or listen for report.succeeded to know when the file is ready.
curl -X POST https://api.chargeapi.co/v1/reports \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"parameters": {
"period_end": "2026-05-02T00:17:49.442Z",
"period_start": "2026-04-01T00:18:06.932Z",
"type": "charging_summary"
}
}'
{
"id": "rpt_kryMLRtfr8HJYs7xUm2lA2MS3pe8RzR9",
"object": "report",
"account": "acct_7XRI8yvnFHeUxJTZyrEHZpvbeoXHAPcn",
"created": "2026-05-02T00:18:03.609Z",
"fleet": "flt_QP37STtAqG1IDAy6Dd6Qwpy2L2jq8rUC",
"parameters": {
"filters": {
"vehicle": ["veh_hMbjoAIhToYAb14hkjgjEHDwJ4eT0Q3c"]
},
"group_by": "vehicle",
"period_end": "2026-05-02T00:17:49.442Z",
"period_start": "2026-04-01T00:18:06.932Z",
"type": "charging_summary"
},
"size": 0,
"status": "pending",
"succeeded_at": null,
"type": "csv",
"url": null
}
Parameters
Limit the report to a single fleet.
Report configuration payload.
Show properties
Show properties
Optional filters (vehicle IDs, driver IDs, etc.).
Dimension to group rows by.Available options:
vehicle, driver, fleet, stationEnd of the reporting window (exclusive). RFC 3339 UTC timestamp with millisecond precision, e.g.
2026-03-03T14:05:23.789Z.Start of the reporting window (inclusive). RFC 3339 UTC timestamp with millisecond precision, e.g.
2026-03-03T14:05:23.789Z.Kind of report to generate.Available options:
charging_summary, cost_analysis, usage_breakdown, fleet_efficiencyReturns
Returns the created report.⌘I

